Subject: Re: [PATCH v2 06/12] commit: add tests of commit races

From: Michael Haggerty <[email-masked]>
Date: Tue, 17 Feb 2015 15:44:42 +0100

On 02/12/2015 07:13 PM, Stefan Beller wrote:
> On Thu, Feb 12, 2015 at 3:12 AM, Michael Haggerty <[email-masked]> wrote:
>> Committing involves the following steps:
>> [...]
>> diff --git a/t/t7516-commit-races.sh b/t/t7516-commit-races.sh
>> new file mode 100755
>> index 0000000..08e6a6c
>> --- /dev/null
>> +++ b/t/t7516-commit-races.sh
>> @@ -0,0 +1,33 @@
>> +#!/bin/sh
>> +
>> +test_description='git commit races'
>> +. ./test-lib.sh
>> +
>> +test_tick
> 
> So I am wondering why we need to have a test_tick here.
> In case we need to pass simulation time after loading the
> test-lib, we should rather have it inside the test-lib.

You're right; I don't think it's necessary. I will remove it.

Michael

-- 
Michael Haggerty
[email-masked]